Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Node< T > Class Template Reference

Implementation element in a Queue, Set, and Stack. More...

`#include <Node.h>`

Collaboration diagram for ACE_Node< T >:

[legend]
List of all members.

## Public Member Functions
| ~ACE_Node (void)
| This isn't necessary, but it keeps some compilers happy.
## Private Member Functions
| ACE_Node (const T &i, ACE_Node< T > *n)
| ACE_Node (ACE_Node< T > *n=0, int=0)
| ACE_Node (const ACE_Node< T > &n)
void | operator= (const ACE_Node< T > &)
| Not possible.
## Private Attributes
ACE_Node< T > * | next_
| Pointer to next element in the list of <ace_node>s.
T | item_
| Current value of the item in this node.
## Friends
class | ACE_Unbounded_Queue<T>
class | ACE_Unbounded_Queue_Iterator<T>
class | ACE_Unbounded_Queue_Const_Iterator<T>
class | ACE_Unbounded_Set<T>
class | ACE_Unbounded_Set_Iterator<T>
class | ACE_Unbounded_Set_Const_Iterator<T>
class | ACE_Unbounded_Stack<T>
class | ACE_Unbounded_Stack_Iterator<T>

## Detailed Description

### template<class T>
class ACE_Node< T >

Implementation element in a Queue, Set, and Stack.

## Constructor & Destructor Documentation

template<class T>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Node< T >::~ACE_Node | ( | void |  | ) |

| This isn't necessary, but it keeps some compilers happy.

template<class T>
ACE_Node< T >::ACE_Node | ( | const T & | i,
|  | ACE_Node< T > * | n
| ) | `[private]`

template<class T>
ACE_Node< T >::ACE_Node | ( | ACE_Node< T > * | n = `0`,
|  | int | = `0`
| ) | `[private]`

template<class T>
ACE_Node< T >::ACE_Node | ( | const ACE_Node< T > & | n | ) | `[private]`

## Member Function Documentation

template<class T>
void ACE_Node< T >::operator= | ( | const ACE_Node< T > & |  | ) | `[private]`

| Not possible.

## Friends And Related Function Documentation

template<class T>
friend class ACE_Unbounded_Queue<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Queue_Const_Iterator<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Queue_Iterator<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Set<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Set_Const_Iterator<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Set_Iterator<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Stack<T>`[friend]`

template<class T>
friend class ACE_Unbounded_Stack_Iterator<T>`[friend]`

## Member Data Documentation

template<class T>
T ACE_Node< T >::item_`[private]`

| Current value of the item in this node.

template<class T>
ACE_Node<T>* ACE_Node< T >::next_`[private]`

| Pointer to next element in the list of <ace_node>s.

The documentation for this class was generated from the following files:

- Node.h
- Node.cpp